Bug 54499 - Dual IDE on Via Apollo Pro 598 chipset hangs on heavy DMA
Summary: Dual IDE on Via Apollo Pro 598 chipset hangs on heavy DMA
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-10 10:08 UTC by TC
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg for 2.4.3-12 with DMA on hda enabled, no DMA on hdc (13.41 KB, text/plain)
2001-10-10 10:10 UTC, TC
no flags Details
/proc/ide/via settings (1.41 KB, text/plain)
2001-10-10 10:12 UTC, TC
no flags Details
Output of lspci (764 bytes, text/plain)
2001-10-10 10:12 UTC, TC
no flags Details

Description TC 2001-10-10 10:08:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010816

Description of problem:
Kernel 2.4.3-12 running on Gigabyte 6VXE+ (VIA Apollo Pro chipset), will
hang when doing heavy DMA used on dual IDE channels (e.g., Sofware RAID
configuration). This can only be worked around when hard disk is set to no
DMA at the expense of system performance.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Sofware RAID 1 config, master drives (hda, hdc) on each IDE channel
2.perform heavy I/O (simultaneous file copy in multiple consoles of large
(> 100 MB) files to RAID partitions, and 'sync' issued.
3.Disk access will hang on hdc. System will attempt to auto-recover via IDE
Reset, and disabling DMA on hdc.
	

Actual Results:  System recovers most of the time using kernel 2.4.3-12
after significant delay and IDE Reset. Kernel 2.4.2 RH7.1 default) install
would usually lockup hard. Kernel 2.4.9-0.18 (Rawhide Oct 3) would lockup
hard, no error messages. If DMA is disabled on hdc, the problem is not
reproducible (yet).

Expected Results:  DMA on dual IDE (software RAID) to function properly on
VIA chipset

Additional info:

RH 7.1 distribution, up to date wrt. current errata.

I tried the Rawhide Kernel 2.4.9-0.18 (Oct 3) with necessary RPM upgrades
to satisfy dependencies (modutils, mkinitrd, e2fsprogs, setup, filesystem,
bash). System would lockup when heavy DMA occurs, no error messages,
necessitating a reboot using alt-sysrq. I thought that fixes for VIA
chipsets should've gone in since 2.4.3 ?

Comment 1 TC 2001-10-10 10:10:44 UTC
Created attachment 33723 [details]
dmesg for 2.4.3-12 with DMA on hda enabled, no DMA on hdc

Comment 2 TC 2001-10-10 10:12:08 UTC
Created attachment 33724 [details]
/proc/ide/via settings

Comment 3 TC 2001-10-10 10:12:57 UTC
Created attachment 33725 [details]
Output of lspci

Comment 4 TC 2001-10-10 10:17:04 UTC
Attachments indicate working system config with DMA disabled on hdc. Bug is
triggered when both IDE channels have DMA enabled.


Comment 5 William J. Earl 2003-02-20 02:22:00 UTC
I have seen a similar hang with RedHat 7.1, 7.2, and 8.0, attempting
to access hda on a VIA Apollo VT82C586 IDE controller, when it is paired
with a second disk as hdb (and a CDROM as hdc and a CDRW as hdd).  Even
in Anaconda, the hang happens as soon as parted tries to access the drive.
Sometimes it even hangs at boot time, right after it reads the partition
table on hda.  This same hardware works just fine with a 2.2 kernel.
Any ideas?

Comment 6 TC 2003-02-20 03:11:16 UTC
Hmm, I've given up on this config (and VIA chipsets). Incidentally, I've also 
retired that motherboard, and have not gone back to a Software RAID config 
since then. Sorry, can't comment further.

Comment 7 Bugzilla owner 2004-09-30 15:39:11 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.